WPSEmbeddedObject Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libwps_internal.h>`

## Public Member Functions
| WPSEmbeddedObject ()
| empty constructor
| WPSEmbeddedObject (WPSEmbeddedObject const &)=default
WPSEmbeddedObject & | operator= (WPSEmbeddedObject const &)=default
| WPSEmbeddedObject (WPSEmbeddedObject &&)=default
WPSEmbeddedObject & | operator= (WPSEmbeddedObject &&)=default
| WPSEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| constructor
virtual | ~WPSEmbeddedObject ()
| destructor
bool | isEmpty () const
| return true if the picture contains no data
void | add (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| add a picture
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist

## Public Attributes
Vec2f | m_size
| the picture size in inches(if known)
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation
std::vector< std::string > | m_typeList
| the picture type: one type by representation
bool | m_sent
| a mutable flag which can be used to know if the picture was send to a listener

## Friends
std::ostream & | operator<< (std::ostream &o, WPSEmbeddedObject const &pict)
| operator<<

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ WPSEmbeddedObject() [1/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( |  | ) |
| inline

empty constructor

Referenced by operator<<, operator=(), operator=(), WPSEmbeddedObject(), and WPSEmbeddedObject().

## ◆ WPSEmbeddedObject() [2/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | WPSEmbeddedObject const & |  | ) |
| default

## ◆ WPSEmbeddedObject() [3/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | WPSEmbeddedObject && |  | ) |
| default

## ◆ WPSEmbeddedObject() [4/4]

WPSEmbeddedObject::WPSEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inlineexplicit

constructor

## ◆ ~WPSEmbeddedObject()

WPSEmbeddedObject::~WPSEmbeddedObject | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ add()

void WPSEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inline

add a picture

Referenced by MSWriteParser::processEmbeddedOLE(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readContents(), WPSOLEParser::readMN0AndCheckWKS(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), and WPSEmbeddedObject().

## ◆ addTo()

bool WPSEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by WKSContentListener::insertObject(), and WPSContentListener::insertObject().

## ◆ isEmpty()

bool WPSEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by operator<<, WPSOLEParser::parse(), and QuattroGraph::sendGraphic().

## ◆ operator=() [1/2]

WPSEmbeddedObject & WPSEmbeddedObject::operator= | ( | WPSEmbeddedObject && |  | ) |
| default

## ◆ operator=() [2/2]

WPSEmbeddedObject & WPSEmbeddedObject::operator= | ( | WPSEmbeddedObject const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSEmbeddedObject const & | pict )
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> WPSEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), addTo(), isEmpty(), WPSEmbeddedObject(), and WPSEmbeddedObject().

## ◆ m_sent

bool WPSEmbeddedObject::m_sent
| mutable

a mutable flag which can be used to know if the picture was send to a listener

Referenced by WPSEmbeddedObject(), and WPSEmbeddedObject().

## ◆ m_size

Vec2f WPSEmbeddedObject::m_size

the picture size in inches(if known)

Referenced by operator<<, WPS8Graph::readBDR(), WPSOLEParser::readCONTENTS(), WPSOLEParser::readContents(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPSEmbeddedObject(), and WPSEmbeddedObject().

## ◆ m_typeList

std::vector<std::string> WPSEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), addTo(), operator<<, WPSEmbeddedObject(), and WPSEmbeddedObject().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp